--
-- $Id$
--
-- alle objecten van soort personenvoorloopauto (key 1) om hangen naar soort personenhuurauto (key 2)
-- en alle objecten van bedrijfsvoorloopauto (key 6) naar bedrijfshuurauto (key 7)

DEFINE thisfile = 'VEBE#48547.SQL'
DEFINE dbuser   = '^VEBE'
DEFINE custid   = 'VEBE'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE ins_deel
   SET ins_srtdeel_key = 2
 WHERE ins_srtdeel_key = 1
       AND ins_deel_key NOT IN
                (SELECT ins_deel_key
                   FROM ins_deel
                  WHERE ins_srtdeel_key = 1
                        AND ins_deel_upper IN (SELECT ins_deel_upper
                                                 FROM ins_deel
                                                WHERE ins_srtdeel_key = 2));

UPDATE ins_deel
   SET ins_srtdeel_key = 7
 WHERE ins_srtdeel_key = 6
       AND ins_deel_key NOT IN
                (SELECT ins_deel_key
                   FROM ins_deel
                  WHERE ins_srtdeel_key = 6
                        AND ins_deel_upper IN (SELECT ins_deel_upper
                                                 FROM ins_deel
                                                WHERE ins_srtdeel_key = 7));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile